/////////////////////////////////////////////////////////////////////
//
//	Applied Data Systems, Inc
//
//  SIOFunc.h : function definition for IO operations
//
//	06.25.99	
//
//////////////////////////////////////////////////////////////////////

#ifndef __SIOFUNC_H__
#define __SIOFUNC_H__


#ifdef  __cplusplus
extern "C" {
#endif

UINT SIOFirmwareVersion();
BYTE SIOReadKeypad();
BOOL SIOSetKeyPadSize(BYTE x,BYTE y);
UINT SIOAnalogConversion(BYTE channel);
void SIOSelectOption(BYTE Option);
void SIOBackLightVEEPwm(BYTE value);
void SIOBackLightPwm(BYTE value);
void SIOBackLightON();
void SIOBackLightOFF();
UINT SIOReadDeviceVersion();
UINT SIOReadDevicePartType();

void SIOWritePortA(BYTE value);
void SIOWritePortB(BYTE value);
void SIOWritePortC(BYTE value);
void SIOWritePortD(BYTE value);

void SIOInitDDRA(BYTE value);
void SIOInitDDRB(BYTE value);
void SIOInitDDRC(BYTE value);
void SIOInitDDRD(BYTE value);

UINT SIOReadPortA();
UINT SIOReadPortB();
UINT SIOReadPortC();
UINT SIOReadPortD();

#ifdef  __cplusplus
}
#endif


#endif // __SIOFUNC_H__

